Note
Access to this page requires authorization. You can try signing in or changing directories.
Access to this page requires authorization. You can try changing directories.
API Version: v1
Server: {endpoint}/openai/v1 — Azure AI Foundry Models APIs
Server Variables:
| Variable | Default | Description |
|---|---|---|
| endpoint | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
Authentication
ApiKeyAuth (API Key)
Pass your API key in the api-key header.
ApiKeyAuth_ (API Key)
Pass your API key in the authorization header.
OAuth2Auth (OAuth 2.0)
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/v2.0/authorize
Scopes:
https://cognitiveservices.azure.com/.default
Security Requirements
Endpoints accept any one of the following authentication methods:
- ApiKeyAuth
- ApiKeyAuth_
- OAuth2Auth (scopes:
https://cognitiveservices.azure.com/.default)
Run grader
POST {endpoint}/openai/v1/fine_tuning/alpha/graders/run
Run a grader.
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| endpoint | server | Yes | string | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
| api-version | query | No | string Possible values: v1, preview |
The explicit Azure AI Foundry Models API version to use for this request.v1 if not otherwise specified. |
Request Body
Content-Type: application/json
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| grader | OpenAI.GraderStringCheck or OpenAI.GraderTextSimilarity or OpenAI.GraderPython or OpenAI.GraderScoreModel or OpenAI.GraderMulti or GraderEndpoint | The grader used for the fine-tuning job. | Yes | |
| item | OpenAI.RunGraderRequestItem | No | ||
| model_sample | string | The model sample to be evaluated. This value will be used to populate the sample namespace.The output_json variable will be populated if the model sample is avalid JSON string. |
Yes |
Responses
Status Code: 200
Description: The request has succeeded.
| Content-Type | Type | Description |
|---|---|---|
| application/json | OpenAI.RunGraderResponse |
Status Code: default
Description: An unexpected error response.
| Content-Type | Type | Description |
|---|---|---|
| application/json | object |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string or null | Yes | ||
| inner_error | No | |||
| message | string | Yes | ||
| param | string or null | No | ||
| type | string | No |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Validate grader
POST {endpoint}/openai/v1/fine_tuning/alpha/graders/validate
Validate a grader.
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| endpoint | server | Yes | string | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
| api-version | query | No | string Possible values: v1, preview |
The explicit Azure AI Foundry Models API version to use for this request.v1 if not otherwise specified. |
Request Body
Content-Type: application/json
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| grader | OpenAI.GraderStringCheck or OpenAI.GraderTextSimilarity or OpenAI.GraderPython or OpenAI.GraderScoreModel or OpenAI.GraderMulti or GraderEndpoint | No |
Responses
Status Code: 200
Description: The request has succeeded.
| Content-Type | Type | Description |
|---|---|---|
| application/json | OpenAI.ValidateGraderResponse |
Status Code: default
Description: An unexpected error response.
| Content-Type | Type | Description |
|---|---|---|
| application/json | object |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string or null | Yes | ||
| inner_error | No | |||
| message | string | Yes | ||
| param | string or null | No | ||
| type | string | No |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
List fine tuning checkpoint permissions
GET {endpoint}/openai/v1/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions
List checkpoint permissions
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| endpoint | server | Yes | string | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
| api-version | query | No | string Possible values: v1, preview |
The explicit Azure AI Foundry Models API version to use for this request.v1 if not otherwise specified. |
| fine_tuned_model_checkpoint | path | Yes | string | The ID of the fine-tuned model checkpoint to get permissions for. |
| project_id | query | No | string | The ID of the project to get permissions for. Serialization: explode: false |
| after | query | No | string | Identifier for the last permission ID from the previous pagination request. Serialization: explode: false |
| limit | query | No | integer (int32) | Number of permissions to retrieve. Serialization: explode: false |
| order | query | No | string Possible values: ascending, descending |
The order in which to retrieve permissions. Serialization: explode: false |
Responses
Status Code: 200
Description: The request has succeeded.
| Content-Type | Type | Description |
|---|---|---|
| application/json | OpenAI.ListFineTuningCheckpointPermissionResponse |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Status Code: default
Description: An unexpected error response.
| Content-Type | Type | Description |
|---|---|---|
| application/json | object |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string or null | Yes | ||
| inner_error | No | |||
| message | string | Yes | ||
| param | string or null | No | ||
| type | string | No |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Create fine tuning checkpoint permission
POST {endpoint}/openai/v1/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions
Create checkpoint permissions
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| endpoint | server | Yes | string | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
| api-version | query | No | string Possible values: v1, preview |
The explicit Azure AI Foundry Models API version to use for this request.v1 if not otherwise specified. |
| fine_tuned_model_checkpoint | path | Yes | string | The ID of the fine-tuned model checkpoint to create a permission for. |
Request Body
Content-Type: application/json
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| project_ids | array of string | The project identifiers to grant access to. | Yes |
Responses
Status Code: 200
Description: The request has succeeded.
| Content-Type | Type | Description |
|---|---|---|
| application/json | OpenAI.ListFineTuningCheckpointPermissionResponse |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Status Code: default
Description: An unexpected error response.
| Content-Type | Type | Description |
|---|---|---|
| application/json | object |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string or null | Yes | ||
| inner_error | No | |||
| message | string | Yes | ||
| param | string or null | No | ||
| type | string | No |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Delete fine tuning checkpoint permission
DELETE {endpoint}/openai/v1/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions/{permission_id}
Delete checkpoint permission
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| endpoint | server | Yes | string | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
| api-version | query | No | string Possible values: v1, preview |
The explicit Azure AI Foundry Models API version to use for this request.v1 if not otherwise specified. |
| fine_tuned_model_checkpoint | path | Yes | string | The ID of the fine-tuned model checkpoint to delete a permission for. |
| permission_id | path | Yes | string | The ID of the fine-tuned model checkpoint permission to delete. |
Responses
Status Code: 200
Description: The request has succeeded.
| Content-Type | Type | Description |
|---|---|---|
| application/json | OpenAI.DeleteFineTuningCheckpointPermissionResponse |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Status Code: default
Description: An unexpected error response.
| Content-Type | Type | Description |
|---|---|---|
| application/json | object |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string or null | Yes | ||
| inner_error | No | |||
| message | string | Yes | ||
| param | string or null | No | ||
| type | string | No |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Create fine tuning job
POST {endpoint}/openai/v1/fine_tuning/jobs
Creates a fine-tuning job which begins the process of creating a new model from a given dataset.
Response includes details of the enqueued job including job status and the name of the fine-tuned models once complete.
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| endpoint | server | Yes | string | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
| api-version | query | No | string Possible values: v1, preview |
The explicit Azure AI Foundry Models API version to use for this request.v1 if not otherwise specified. |
Request Body
Content-Type: application/json
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| hyperparameters | OpenAI.CreateFineTuningJobRequestHyperparameters (deprecated) | No | ||
| └─ batch_size | string or integer | No | auto | |
| └─ learning_rate_multiplier | string or number | No | auto | |
| └─ n_epochs | string or integer | No | auto | |
| integrations | array of OpenAI.CreateFineTuningJobRequestIntegrations or null | A list of integrations to enable for your fine-tuning job. | No | |
| metadata | OpenAI.Metadata or null | No | ||
| method | OpenAI.FineTuneMethod | The method used for fine-tuning. | No | |
| model | string (see valid models below) | The name of the model to fine-tune. You can select one of the supported models. |
Yes | |
| seed | integer or null | The seed controls the reproducibility of the job. Passing in the same seed and job parameters should produce the same results, but may differ in rare cases. If a seed is not specified, one will be generated for you. Constraints: min: 0, max: 2147483647 |
No | |
| suffix | string or null | A string of up to 64 characters that will be added to your fine-tuned model name. For example, a suffix of "custom-model-name" would produce a model name like ft:gpt-4o-mini:openai:custom-model-name:7p4lURel.Constraints: minLength: 1, maxLength: 64 |
No | |
| training_file | string | The ID of an uploaded file that contains training data. Your dataset must be formatted as a JSONL file. Additionally, you must upload your file with the purpose fine-tune.The contents of the file should differ depending on if the model uses the chat, completions format, or if the fine-tuning method uses the preference format. |
Yes | |
| validation_file | string or null | The ID of an uploaded file that contains validation data. If you provide this file, the data is used to generate validation metrics periodically during fine-tuning. These metrics can be viewed in the fine-tuning results file. The same data should not be present in both train and validation files. Your dataset must be formatted as a JSONL file. You must upload your file with the purpose fine-tune. |
No |
Responses
Status Code: 200
Description: The request has succeeded.
| Content-Type | Type | Description |
|---|---|---|
| application/json | OpenAI.FineTuningJob |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Status Code: default
Description: An unexpected error response.
| Content-Type | Type | Description |
|---|---|---|
| application/json | object |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string or null | Yes | ||
| inner_error | No | |||
| message | string | Yes | ||
| param | string or null | No | ||
| type | string | No |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
List paginated fine tuning jobs
GET {endpoint}/openai/v1/fine_tuning/jobs
List your organization's fine-tuning jobs
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| endpoint | server | Yes | string | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
| api-version | query | No | string Possible values: v1, preview |
The explicit Azure AI Foundry Models API version to use for this request.v1 if not otherwise specified. |
| after | query | No | string | Identifier for the last job from the previous pagination request. Serialization: explode: false |
| limit | query | No | integer (int32) | Number of fine-tuning jobs to retrieve. Serialization: explode: false |
Responses
Status Code: 200
Description: The request has succeeded.
| Content-Type | Type | Description |
|---|---|---|
| application/json | OpenAI.ListPaginatedFineTuningJobsResponse |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Status Code: default
Description: An unexpected error response.
| Content-Type | Type | Description |
|---|---|---|
| application/json | object |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string or null | Yes | ||
| inner_error | No | |||
| message | string | Yes | ||
| param | string or null | No | ||
| type | string | No |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Retrieve fine tuning job
GET {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}
Get info about a fine-tuning job.
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| endpoint | server | Yes | string | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
| api-version | query | No | string Possible values: v1, preview |
The explicit Azure AI Foundry Models API version to use for this request.v1 if not otherwise specified. |
| fine_tuning_job_id | path | Yes | string | The ID of the fine-tuning job. |
Responses
Status Code: 200
Description: The request has succeeded.
| Content-Type | Type | Description |
|---|---|---|
| application/json | OpenAI.FineTuningJob |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Status Code: default
Description: An unexpected error response.
| Content-Type | Type | Description |
|---|---|---|
| application/json | object |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string or null | Yes | ||
| inner_error | No | |||
| message | string | Yes | ||
| param | string or null | No | ||
| type | string | No |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Cancel fine tuning job
POST {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/cancel
Immediately cancel a fine-tune job.
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| endpoint | server | Yes | string | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
| api-version | query | No | string Possible values: v1, preview |
The explicit Azure AI Foundry Models API version to use for this request.v1 if not otherwise specified. |
| fine_tuning_job_id | path | Yes | string | The ID of the fine-tuning job to cancel. |
Responses
Status Code: 200
Description: The request has succeeded.
| Content-Type | Type | Description |
|---|---|---|
| application/json | OpenAI.FineTuningJob |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Status Code: default
Description: An unexpected error response.
| Content-Type | Type | Description |
|---|---|---|
| application/json | object |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string or null | Yes | ||
| inner_error | No | |||
| message | string | Yes | ||
| param | string or null | No | ||
| type | string | No |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
List fine tuning job checkpoints
GET {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/checkpoints
List the checkpoints for a fine-tuning job.
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| endpoint | server | Yes | string | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
| api-version | query | No | string Possible values: v1, preview |
The explicit Azure AI Foundry Models API version to use for this request.v1 if not otherwise specified. |
| fine_tuning_job_id | path | Yes | string | The ID of the fine-tuning job to get checkpoints for. |
| after | query | No | string | Identifier for the last checkpoint ID from the previous pagination request. Serialization: explode: false |
| limit | query | No | integer (int32) | Number of checkpoints to retrieve. Serialization: explode: false |
Responses
Status Code: 200
Description: The request has succeeded.
| Content-Type | Type | Description |
|---|---|---|
| application/json | OpenAI.ListFineTuningJobCheckpointsResponse |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Status Code: default
Description: An unexpected error response.
| Content-Type | Type | Description |
|---|---|---|
| application/json | object |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string or null | Yes | ||
| inner_error | No | |||
| message | string | Yes | ||
| param | string or null | No | ||
| type | string | No |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Fine tuning - copy checkpoint
POST {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/checkpoints/{fine_tuning_checkpoint_id}/copy
Creates a copy of a fine-tuning checkpoint at the given destination account and region.
NOTE: This Azure OpenAI API is in preview and subject to change.
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| endpoint | server | Yes | string | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
| api-version | query | No | string Possible values: v1, preview |
The explicit Azure AI Foundry Models API version to use for this request.v1 if not otherwise specified. |
| fine_tuning_job_id | path | Yes | string | |
| fine_tuning_checkpoint_id | path | Yes | string |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| aoai-copy-ft-checkpoints | Yes | string Possible values: preview |
Enables access to checkpoint copy operations for models, an AOAI preview feature. This feature requires the 'aoai-copy-ft-checkpoints' header to be set to 'preview'. |
| accept | Yes | string Possible values: application/json |
Request Body
Content-Type: application/json
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| destinationResourceId | string | The ID of the destination Resource to copy. | Yes | |
| region | string | The region to copy the model to. | Yes |
Responses
Status Code: 200
Description: The request has succeeded.
| Content-Type | Type | Description |
|---|---|---|
| application/json | CopyModelResponse |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Status Code: default
Description: An unexpected error response.
| Content-Type | Type | Description |
|---|---|---|
| application/json | object |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string or null | Yes | ||
| inner_error | No | |||
| message | string | Yes | ||
| param | string or null | No | ||
| type | string | No |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Fine tuning - get checkpoint
GET {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/checkpoints/{fine_tuning_checkpoint_id}/copy
Gets the status of a fine-tuning checkpoint copy.
NOTE: This Azure OpenAI API is in preview and subject to change.
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| endpoint | server | Yes | string | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
| api-version | query | No | string Possible values: v1, preview |
The explicit Azure AI Foundry Models API version to use for this request.v1 if not otherwise specified. |
| fine_tuning_job_id | path | Yes | string | |
| fine_tuning_checkpoint_id | path | Yes | string |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| aoai-copy-ft-checkpoints | Yes | string Possible values: preview |
Enables access to checkpoint copy operations for models, an AOAI preview feature. This feature requires the 'aoai-copy-ft-checkpoints' header to be set to 'preview'. |
| accept | Yes | string Possible values: application/json |
Responses
Status Code: 200
Description: The request has succeeded.
| Content-Type | Type | Description |
|---|---|---|
| application/json | CopyModelResponse |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Status Code: default
Description: An unexpected error response.
| Content-Type | Type | Description |
|---|---|---|
| application/json | object |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string or null | Yes | ||
| inner_error | No | |||
| message | string | Yes | ||
| param | string or null | No | ||
| type | string | No |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
List fine tuning events
GET {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/events
Get status updates for a fine-tuning job.
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| endpoint | server | Yes | string | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
| api-version | query | No | string Possible values: v1, preview |
The explicit Azure AI Foundry Models API version to use for this request.v1 if not otherwise specified. |
| fine_tuning_job_id | path | Yes | string | The ID of the fine-tuning job to get events for. |
| after | query | No | string | Identifier for the last event from the previous pagination request. Serialization: explode: false |
| limit | query | No | integer (int32) | Number of events to retrieve. Serialization: explode: false |
Responses
Status Code: 200
Description: The request has succeeded.
| Content-Type | Type | Description |
|---|---|---|
| application/json | OpenAI.ListFineTuningJobEventsResponse |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Status Code: default
Description: An unexpected error response.
| Content-Type | Type | Description |
|---|---|---|
| application/json | object |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string or null | Yes | ||
| inner_error | No | |||
| message | string | Yes | ||
| param | string or null | No | ||
| type | string | No |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Pause fine tuning job
POST {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/pause
Pause a fine-tune job.
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| endpoint | server | Yes | string | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
| api-version | query | No | string Possible values: v1, preview |
The explicit Azure AI Foundry Models API version to use for this request.v1 if not otherwise specified. |
| fine_tuning_job_id | path | Yes | string | The ID of the fine-tuning job to pause. |
Responses
Status Code: 200
Description: The request has succeeded.
| Content-Type | Type | Description |
|---|---|---|
| application/json | OpenAI.FineTuningJob |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Status Code: default
Description: An unexpected error response.
| Content-Type | Type | Description |
|---|---|---|
| application/json | object |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string or null | Yes | ||
| inner_error | No | |||
| message | string | Yes | ||
| param | string or null | No | ||
| type | string | No |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Resume fine tuning job
POST {endpoint}/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/resume
Resume a paused fine-tune job.
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| endpoint | server | Yes | string | A supported Azure AI Foundry Models APIs endpoint, including protocol and hostname. For example: https://YOUR-RESOURCE-NAME.openai.azure.com/openai/v1/). |
| api-version | query | No | string Possible values: v1, preview |
The explicit Azure AI Foundry Models API version to use for this request.v1 if not otherwise specified. |
| fine_tuning_job_id | path | Yes | string | The ID of the fine-tuning job to resume. |
Responses
Status Code: 200
Description: The request has succeeded.
| Content-Type | Type | Description |
|---|---|---|
| application/json | OpenAI.FineTuningJob |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Status Code: default
Description: An unexpected error response.
| Content-Type | Type | Description |
|---|---|---|
| application/json | object |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string or null | Yes | ||
| inner_error | No | |||
| message | string | Yes | ||
| param | string or null | No | ||
| type | string | No |
Response Headers:
| Header | Type | Description |
|---|---|---|
| apim-request-id | string | A request ID used for troubleshooting purposes. |
Components
AzureAIFoundryModelsApiVersion
| Property | Value |
|---|---|
| Type | string |
| Values | v1preview |
AzureFineTuneReinforcementMethod
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| grader | OpenAI.GraderStringCheck or OpenAI.GraderTextSimilarity or OpenAI.GraderScoreModel or OpenAI.GraderMulti or GraderEndpoint | Yes | ||
| hyperparameters | OpenAI.FineTuneReinforcementHyperparameters | The hyperparameters used for the reinforcement fine-tuning job. | No | |
| response_format | ResponseFormatJSONSchemaRequest | No | ||
| └─ json_schema | object | JSON Schema for the response format | Yes | |
| └─ type | enum | Type of response format Possible values: json_schema |
Yes |
CopiedAccountDetails
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| destinationResourceId | string | The ID of the destination resource where the model was copied to. | Yes | |
| region | string | The region where the model was copied to. | Yes | |
| status | enum | The status of the copy operation. Possible values: Completed, Failed, InProgress |
Yes |
CopyModelRequest
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| destinationResourceId | string | The ID of the destination Resource to copy. | Yes | |
| region | string | The region to copy the model to. | Yes |
CopyModelResponse
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| checkpointedModelName | string | The ID of the copied model. | Yes | |
| copiedAccountDetails | array of CopiedAccountDetails | The ID of the destination resource id where it was copied | Yes | |
| fineTuningJobId | string | The ID of the fine-tuning job that the checkpoint was copied from. | Yes |
GraderEndpoint
Endpoint grader configuration for external HTTP endpoint evaluation
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| headers | object or null | Optional HTTP headers to include in requests to the endpoint | No | |
| name | string | The name of the grader | Yes | |
| pass_threshold | number or null | Optional threshold score above which the grade is considered passing If not specified, all scores are considered valid |
No | |
| rate_limit | integer or null | Optional rate limit for requests per second to the endpoint Must be a positive integer |
No | |
| type | enum | Possible values: endpoint |
Yes | endpoint |
| url | string | The HTTPS URL of the endpoint to call for grading Constraints: pattern: ^https:// |
Yes |
OpenAI.CreateFineTuningCheckpointPermissionRequest
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| project_ids | array of string | The project identifiers to grant access to. | Yes |
OpenAI.CreateFineTuningJobRequest
Valid models:
babbage-002
davinci-002
gpt-3.5-turbo
gpt-4o-mini
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| hyperparameters | OpenAI.CreateFineTuningJobRequestHyperparameters (deprecated) | No | ||
| └─ batch_size | string or integer | No | auto | |
| └─ learning_rate_multiplier | string or number | No | auto | |
| └─ n_epochs | string or integer | No | auto | |
| integrations | array of OpenAI.CreateFineTuningJobRequestIntegrations or null | A list of integrations to enable for your fine-tuning job. | No | |
| metadata | OpenAI.Metadata or null | No | ||
| method | OpenAI.FineTuneMethod | The method used for fine-tuning. | No | |
| model | string (see valid models below) | The name of the model to fine-tune. You can select one of the supported models. |
Yes | |
| seed | integer or null | The seed controls the reproducibility of the job. Passing in the same seed and job parameters should produce the same results, but may differ in rare cases. If a seed is not specified, one will be generated for you. Constraints: min: 0, max: 2147483647 |
No | |
| suffix | string or null | A string of up to 64 characters that will be added to your fine-tuned model name. For example, a suffix of "custom-model-name" would produce a model name like ft:gpt-4o-mini:openai:custom-model-name:7p4lURel.Constraints: minLength: 1, maxLength: 64 |
No | |
| training_file | string | The ID of an uploaded file that contains training data. Your dataset must be formatted as a JSONL file. Additionally, you must upload your file with the purpose fine-tune.The contents of the file should differ depending on if the model uses the chat, completions format, or if the fine-tuning method uses the preference format. |
Yes | |
| validation_file | string or null | The ID of an uploaded file that contains validation data. If you provide this file, the data is used to generate validation metrics periodically during fine-tuning. These metrics can be viewed in the fine-tuning results file. The same data should not be present in both train and validation files. Your dataset must be formatted as a JSONL file. You must upload your file with the purpose fine-tune. |
No |
OpenAI.CreateFineTuningJobRequestHyperparameters
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| batch_size | string or integer | No | ||
| learning_rate_multiplier | string or number | No | ||
| n_epochs | string or integer | No |
OpenAI.CreateFineTuningJobRequestIntegrations
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| type | enum | Possible values: wandb |
Yes | |
| wandb | OpenAI.CreateFineTuningJobRequestIntegrationsWandb | Yes |
OpenAI.CreateFineTuningJobRequestIntegrationsWandb
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| entity | string or null | No | ||
| name | string or null | No | ||
| project | string | Yes | ||
| tags | array of string | No |
OpenAI.DeleteFineTuningCheckpointPermissionResponse
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| deleted | boolean | Whether the fine-tuned model checkpoint permission was successfully deleted. | Yes | |
| id | string | The ID of the fine-tuned model checkpoint permission that was deleted. | Yes | |
| object | enum | The object type, which is always "checkpoint.permission". Possible values: checkpoint.permission |
Yes |
OpenAI.EvalGraderScoreModelSamplingParams
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| max_completions_tokens | integer or null | No | ||
| reasoning_effort | OpenAI.ReasoningEffort | Constrains effort on reasoning for reasoning models. Currently supported values are none, minimal, low, medium, high, and xhigh. Reducingreasoning effort can result in faster responses and fewer tokens used on reasoning in a response. - gpt-5.1 defaults to none, which does not perform reasoning. The supported reasoning values for gpt-5.1 are none, low, medium, and high. Tool calls are supported for all reasoning values in gpt-5.1.- All models before gpt-5.1 default to medium reasoning effort, and do not support none.- The gpt-5-pro model defaults to (and only supports) high reasoning effort.- xhigh is supported for all models after gpt-5.1-codex-max. |
No | |
| seed | integer or null | No | ||
| temperature | number or null | No | ||
| top_p | number or null | No |
OpenAI.EvalItem
Eval message object
A message input to the model with a role indicating instruction following
hierarchy. Instructions given with the developer or system role take
precedence over instructions given with the user role. Messages with the
assistant role are presumed to have been generated by the model in previous
interactions.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| content | OpenAI.EvalItemContent | Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items. | Yes | |
| role | enum | The role of the message input. One of user, assistant, system, ordeveloper.Possible values: user, assistant, system, developer |
Yes | |
| type | enum | The type of the message input. Always message.Possible values: message |
No |
OpenAI.EvalItemContent
Eval content
Inputs to the model - can contain template strings. Supports text, output text, input images, and input audio, either as a single item or an array of items.
This component can be one of the following:
OpenAI.EvalItemContentArray
An array of Input text, Output text, Input image, and Input audio
A list of inputs, each of which may be either an input text, output text, input image, or input audio object.
Array of: OpenAI.EvalItemContentItem
OpenAI.EvalItemContentItem
Eval content item
A single content item: input text, output text, input image, or input audio.
This component can be one of the following:
OpenAI.EvalItemContentItemObject
Eval content item
A single content item: input text, output text, input image, or input audio.
Discriminator for OpenAI.EvalItemContentItemObject
This component uses the property type to discriminate between different types:
| Type Value | Schema |
|---|---|
output_text |
OpenAI.EvalItemContentOutputText |
input_image |
OpenAI.EvalItemInputImage |
input_audio |
OpenAI.InputAudio |
input_text |
OpenAI.EvalItemContentItemObjectInputTextContent |
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| type | OpenAI.EvalItemContentItemObjectType | Yes |
OpenAI.EvalItemContentItemObjectInputTextContent
Input text
A text input to the model.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| text | string | The text input to the model. | Yes | |
| type | enum | The type of the input item. Always input_text.Possible values: input_text |
Yes | input_text |
OpenAI.EvalItemContentItemObjectType
| Property | Value |
|---|---|
| Type | string |
| Values | input_textoutput_textinput_imageinput_audio |
OpenAI.EvalItemContentOutputText
Output text
A text output from the model.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| text | string | The text output from the model. | Yes | |
| type | enum | The type of the output text. Always output_text.Possible values: output_text |
Yes |
OpenAI.EvalItemContentText
Text input
A text input to the model.
Type: string
OpenAI.EvalItemInputImage
Input image
An image input block used within EvalItem content arrays.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| detail | string | The detail level of the image to be sent to the model. One of high, low, or auto. Defaults to auto. |
No | |
| image_url | string (uri) | The URL of the image input. | Yes | |
| type | enum | The type of the image input. Always input_image.Possible values: input_image |
Yes |
OpenAI.FineTuneDPOHyperparameters
The hyperparameters used for the DPO fine-tuning job.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| batch_size | string or integer | Number of examples in each batch. A larger batch size means that model parameters are updated less frequently, but with lower variance. | No | |
| beta | string or number | The beta value for the DPO method. A higher beta value will increase the weight of the penalty between the policy and reference model. | No | |
| learning_rate_multiplier | string or number | Scaling factor for the learning rate. A smaller learning rate may be useful to avoid overfitting. | No | |
| n_epochs | string or integer | The number of epochs to train the model for. An epoch refers to one full cycle through the training dataset. | No |
OpenAI.FineTuneDPOMethod
Configuration for the DPO fine-tuning method.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| hyperparameters | OpenAI.FineTuneDPOHyperparameters | The hyperparameters used for the DPO fine-tuning job. | No |
OpenAI.FineTuneMethod
The method used for fine-tuning.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| dpo | OpenAI.FineTuneDPOMethod | Configuration for the DPO fine-tuning method. | No | |
| reinforcement | AzureFineTuneReinforcementMethod | No | ||
| supervised | OpenAI.FineTuneSupervisedMethod | Configuration for the supervised fine-tuning method. | No | |
| type | enum | The type of method. Is either supervised, dpo, or reinforcement.Possible values: supervised, dpo, reinforcement |
Yes |
OpenAI.FineTuneReinforcementHyperparameters
The hyperparameters used for the reinforcement fine-tuning job.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| batch_size | string or integer | Number of examples in each batch. A larger batch size means that model parameters are updated less frequently, but with lower variance. | No | |
| compute_multiplier | string or number | Multiplier on amount of compute used for exploring search space during training. | No | |
| eval_interval | string or integer | The number of training steps between evaluation runs. | No | |
| eval_samples | string or integer | Number of evaluation samples to generate per training step. | No | |
| learning_rate_multiplier | string or number | Scaling factor for the learning rate. A smaller learning rate may be useful to avoid overfitting. | No | |
| n_epochs | string or integer | The number of epochs to train the model for. An epoch refers to one full cycle through the training dataset. | No | |
| reasoning_effort | enum | Level of reasoning effort. Possible values: default, low, medium, high |
No | default |
OpenAI.FineTuneSupervisedHyperparameters
The hyperparameters used for the fine-tuning job.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| batch_size | string or integer | Number of examples in each batch. A larger batch size means that model parameters are updated less frequently, but with lower variance. | No | |
| learning_rate_multiplier | string or number | Scaling factor for the learning rate. A smaller learning rate may be useful to avoid overfitting. | No | |
| n_epochs | string or integer | The number of epochs to train the model for. An epoch refers to one full cycle through the training dataset. | No |
OpenAI.FineTuneSupervisedMethod
Configuration for the supervised fine-tuning method.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| hyperparameters | OpenAI.FineTuneSupervisedHyperparameters | The hyperparameters used for the fine-tuning job. | No |
OpenAI.FineTuningCheckpointPermission
FineTuningCheckpointPermission
The checkpoint.permission object represents a permission for a fine-tuned model checkpoint.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| created_at | integer (unixtime) | The Unix timestamp (in seconds) for when the permission was created. | Yes | |
| id | string | The permission identifier, which can be referenced in the API endpoints. | Yes | |
| object | enum | The object type, which is always "checkpoint.permission". Possible values: checkpoint.permission |
Yes | |
| project_id | string | The project identifier that the permission is for. | Yes |
OpenAI.FineTuningIntegration
Fine-Tuning Job Integration
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| type | enum | The type of the integration being enabled for the fine-tuning job Possible values: wandb |
Yes | |
| wandb | OpenAI.FineTuningIntegrationWandb | Yes | ||
| └─ entity | string or null | No | ||
| └─ name | string or null | No | ||
| └─ project | string | Yes | ||
| └─ tags | array of string | No |
OpenAI.FineTuningIntegrationWandb
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| entity | string or null | No | ||
| name | string or null | No | ||
| project | string | Yes | ||
| tags | array of string | No |
OpenAI.FineTuningJob
FineTuningJob
The fine_tuning.job object represents a fine-tuning job that has been created through the API.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| created_at | integer (unixtime) | The Unix timestamp (in seconds) for when the fine-tuning job was created. | Yes | |
| error | OpenAI.FineTuningJobError or null | Yes | ||
| estimated_finish | string or null | No | ||
| fine_tuned_model | string or null | Yes | ||
| finished_at | string or null | Yes | ||
| hyperparameters | OpenAI.FineTuningJobHyperparameters | Yes | ||
| └─ batch_size | string or integer or null | No | auto | |
| └─ learning_rate_multiplier | string or number | No | auto | |
| └─ n_epochs | string or integer | No | auto | |
| id | string | The object identifier, which can be referenced in the API endpoints. | Yes | |
| integrations | array of OpenAI.FineTuningIntegration or null | No | ||
| metadata | OpenAI.Metadata or null | No | ||
| method | OpenAI.FineTuneMethod | The method used for fine-tuning. | No | |
| model | string | The base model that is being fine-tuned. | Yes | |
| object | enum | The object type, which is always "fine_tuning.job". Possible values: fine_tuning.job |
Yes | |
| organization_id | string | The organization that owns the fine-tuning job. | Yes | |
| result_files | array of string | The compiled results file ID(s) for the fine-tuning job. You can retrieve the results with the Files API. | Yes | |
| seed | integer | The seed used for the fine-tuning job. | Yes | |
| status | enum | The current status of the fine-tuning job, which can be either validating_files, queued, running, succeeded, failed, or cancelled.Possible values: validating_files, queued, running, succeeded, failed, cancelled |
Yes | |
| trained_tokens | integer or null | Yes | ||
| training_file | string | The file ID used for training. You can retrieve the training data with the Files API. | Yes | |
| validation_file | string or null | Yes |
OpenAI.FineTuningJobCheckpoint
FineTuningJobCheckpoint
The fine_tuning.job.checkpoint object represents a model checkpoint for a fine-tuning job that is ready to use.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| created_at | integer (unixtime) | The Unix timestamp (in seconds) for when the checkpoint was created. | Yes | |
| fine_tuned_model_checkpoint | string | The name of the fine-tuned checkpoint model that is created. | Yes | |
| fine_tuning_job_id | string | The name of the fine-tuning job that this checkpoint was created from. | Yes | |
| id | string | The checkpoint identifier, which can be referenced in the API endpoints. | Yes | |
| metrics | OpenAI.FineTuningJobCheckpointMetrics | Yes | ||
| └─ full_valid_loss | number | No | ||
| └─ full_valid_mean_token_accuracy | number | No | ||
| └─ step | number | No | ||
| └─ train_loss | number | No | ||
| └─ train_mean_token_accuracy | number | No | ||
| └─ valid_loss | number | No | ||
| └─ valid_mean_token_accuracy | number | No | ||
| object | enum | The object type, which is always "fine_tuning.job.checkpoint". Possible values: fine_tuning.job.checkpoint |
Yes | |
| step_number | integer | The step number that the checkpoint was created at. | Yes |
OpenAI.FineTuningJobCheckpointMetrics
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| full_valid_loss | number | No | ||
| full_valid_mean_token_accuracy | number | No | ||
| step | number | No | ||
| train_loss | number | No | ||
| train_mean_token_accuracy | number | No | ||
| valid_loss | number | No | ||
| valid_mean_token_accuracy | number | No |
OpenAI.FineTuningJobError
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| code | string | Yes | ||
| message | string | Yes | ||
| param | string or null | Yes |
OpenAI.FineTuningJobEvent
Fine-tuning job event object
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| created_at | integer (unixtime) | The Unix timestamp (in seconds) for when the fine-tuning job was created. | Yes | |
| data | OpenAI.FineTuningJobEventData | No | ||
| id | string | The object identifier. | Yes | |
| level | enum | The log level of the event. Possible values: info, warn, error |
Yes | |
| message | string | The message of the event. | Yes | |
| object | enum | The object type, which is always "fine_tuning.job.event". Possible values: fine_tuning.job.event |
Yes | |
| type | enum | The type of event. Possible values: message, metrics |
No |
OpenAI.FineTuningJobEventData
Type: object
OpenAI.FineTuningJobHyperparameters
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| batch_size | string or integer or null | No | ||
| learning_rate_multiplier | string or number | No | ||
| n_epochs | string or integer | No |
OpenAI.GraderMulti
MultiGrader
A MultiGrader object combines the output of multiple graders to produce a single score.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| calculate_output | string | A formula to calculate the output based on grader results. | Yes | |
| graders | OpenAI.GraderStringCheck or OpenAI.GraderTextSimilarity or OpenAI.GraderScoreModel or GraderEndpoint | Yes | ||
| name | string | The name of the grader. | Yes | |
| type | enum | The object type, which is always multi.Possible values: multi |
Yes | multi |
OpenAI.GraderPython
PythonGrader
A PythonGrader object that runs a python script on the input.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| image_tag | string | The image tag to use for the python script. | No | |
| name | string | The name of the grader. | Yes | |
| source | string | The source code of the python script. | Yes | |
| type | enum | The object type, which is always python.Possible values: python |
Yes |
OpenAI.GraderScoreModel
ScoreModelGrader
A ScoreModelGrader object that uses a model to assign a score to the input.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| input | array of OpenAI.EvalItem | The input messages evaluated by the grader. Supports text, output text, input image, and input audio content blocks, and may include template strings. | Yes | |
| model | string | The model to use for the evaluation. | Yes | |
| name | string | The name of the grader. | Yes | |
| range | array of number | The range of the score. Defaults to [0, 1]. |
No | |
| sampling_params | OpenAI.EvalGraderScoreModelSamplingParams | No | ||
| └─ max_completions_tokens | integer or null | No | ||
| └─ reasoning_effort | OpenAI.ReasoningEffort | Constrains effort on reasoning for reasoning models. Currently supported values are none, minimal, low, medium, high, and xhigh. Reducingreasoning effort can result in faster responses and fewer tokens used on reasoning in a response. - gpt-5.1 defaults to none, which does not perform reasoning. The supported reasoning values for gpt-5.1 are none, low, medium, and high. Tool calls are supported for all reasoning values in gpt-5.1.- All models before gpt-5.1 default to medium reasoning effort, and do not support none.- The gpt-5-pro model defaults to (and only supports) high reasoning effort.- xhigh is supported for all models after gpt-5.1-codex-max. |
No | |
| └─ seed | integer or null | No | ||
| └─ temperature | number or null | No | ||
| └─ top_p | number or null | No | 1 | |
| type | enum | The object type, which is always score_model.Possible values: score_model |
Yes |
OpenAI.GraderStringCheck
StringCheckGrader
A StringCheckGrader object that performs a string comparison between input and reference using a specified operation.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| input | string | The input text. This may include template strings. | Yes | |
| name | string | The name of the grader. | Yes | |
| operation | enum | The string check operation to perform. One of eq, ne, like, or ilike.Possible values: eq, ne, like, ilike |
Yes | |
| reference | string | The reference text. This may include template strings. | Yes | |
| type | enum | The object type, which is always string_check.Possible values: string_check |
Yes |
OpenAI.GraderTextSimilarity
TextSimilarityGrader
A TextSimilarityGrader object which grades text based on similarity metrics.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| evaluation_metric | enum | The evaluation metric to use. One of cosine, fuzzy_match, bleu,gleu, meteor, rouge_1, rouge_2, rouge_3, rouge_4, rouge_5,or rouge_l.Possible values: cosine, fuzzy_match, bleu, gleu, meteor, rouge_1, rouge_2, rouge_3, rouge_4, rouge_5, rouge_l |
Yes | |
| input | string | The text being graded. | Yes | |
| name | string | The name of the grader. | Yes | |
| reference | string | The text being graded against. | Yes | |
| type | enum | The type of grader. Possible values: text_similarity |
Yes | text_similarity |
OpenAI.InputAudio
Input audio
An audio input to the model.
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| input_audio | OpenAI.InputAudioInputAudio | Yes | ||
| type | enum | The type of the input item. Always input_audio.Possible values: input_audio |
Yes |
OpenAI.InputAudioInputAudio
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| data | string | Yes | ||
| format | enum | Possible values: mp3, wav |
Yes |
OpenAI.ListFineTuningCheckpointPermissionResponse
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| data | array of OpenAI.FineTuningCheckpointPermission | Yes | ||
| first_id | string or null | No | ||
| has_more | boolean | Yes | ||
| last_id | string or null | No | ||
| object | enum | Possible values: list |
Yes |
OpenAI.ListFineTuningJobCheckpointsResponse
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| data | array of OpenAI.FineTuningJobCheckpoint | Yes | ||
| first_id | string or null | No | ||
| has_more | boolean | Yes | ||
| last_id | string or null | No | ||
| object | enum | Possible values: list |
Yes |
OpenAI.ListFineTuningJobEventsResponse
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| data | array of OpenAI.FineTuningJobEvent | Yes | ||
| has_more | boolean | Yes | ||
| object | enum | Possible values: list |
Yes |
OpenAI.ListPaginatedFineTuningJobsResponse
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| data | array of OpenAI.FineTuningJob | Yes | ||
| has_more | boolean | Yes | ||
| object | enum | Possible values: list |
Yes |
OpenAI.Metadata
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
Type: object
OpenAI.ReasoningEffort
Constrains effort on reasoning for
reasoning models.
Currently supported values are none, minimal, low, medium, high, and xhigh. Reducing
reasoning effort can result in faster responses and fewer tokens used
on reasoning in a response.
gpt-5.1defaults tonone, which does not perform reasoning. The supported reasoning values forgpt-5.1arenone,low,medium, andhigh. Tool calls are supported for all reasoning values in gpt-5.1.- All models before
gpt-5.1default tomediumreasoning effort, and do not supportnone. - The
gpt-5-promodel defaults to (and only supports)highreasoning effort. xhighis supported for all models aftergpt-5.1-codex-max.
| Property | Value |
|---|---|
| Description | Constrains effort on reasoning for reasoning models. Currently supported values are none, minimal, low, medium, high, and xhigh. Reducingreasoning effort can result in faster responses and fewer tokens used on reasoning in a response. - gpt-5.1 defaults to none, which does not perform reasoning. The supported reasoning values for gpt-5.1 are none, low, medium, and high. Tool calls are supported for all reasoning values in gpt-5.1.- All models before gpt-5.1 default to medium reasoning effort, and do not support none.- The gpt-5-pro model defaults to (and only supports) high reasoning effort.- xhigh is supported for all models after gpt-5.1-codex-max. |
| Type | string |
| Values | noneminimallowmediumhighxhigh |
OpenAI.RunGraderRequest
RunGraderRequest
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| grader | OpenAI.GraderStringCheck or OpenAI.GraderTextSimilarity or OpenAI.GraderPython or OpenAI.GraderScoreModel or OpenAI.GraderMulti or GraderEndpoint | The grader used for the fine-tuning job. | Yes | |
| item | OpenAI.RunGraderRequestItem | No | ||
| model_sample | string | The model sample to be evaluated. This value will be used to populate the sample namespace.The output_json variable will be populated if the model sample is avalid JSON string. |
Yes |
OpenAI.RunGraderRequestItem
Type: object
OpenAI.RunGraderResponse
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| metadata | OpenAI.RunGraderResponseMetadata | Yes | ||
| model_grader_token_usage_per_model | object | Yes | ||
| reward | number | Yes | ||
| sub_rewards | object | Yes |
OpenAI.RunGraderResponseMetadata
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| errors | OpenAI.RunGraderResponseMetadataErrors | Yes | ||
| execution_time | number | Yes | ||
| name | string | Yes | ||
| sampled_model_name | string or null | Yes | ||
| scores | object | Yes | ||
| token_usage | integer or null | Yes | ||
| type | string | Yes |
OpenAI.RunGraderResponseMetadataErrors
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| formula_parse_error | boolean | Yes | ||
| invalid_variable_error | boolean | Yes | ||
| model_grader_parse_error | boolean | Yes | ||
| model_grader_refusal_error | boolean | Yes | ||
| model_grader_server_error | boolean | Yes | ||
| model_grader_server_error_details | string or null | Yes | ||
| other_error | boolean | Yes | ||
| python_grader_runtime_error | boolean | Yes | ||
| python_grader_runtime_error_details | string or null | Yes | ||
| python_grader_server_error | boolean | Yes | ||
| python_grader_server_error_type | string or null | Yes | ||
| sample_parse_error | boolean | Yes | ||
| truncated_observation_error | boolean | Yes | ||
| unresponsive_reward_error | boolean | Yes |
OpenAI.ValidateGraderResponse
ValidateGraderResponse
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| grader | OpenAI.GraderStringCheck or OpenAI.GraderTextSimilarity or OpenAI.GraderPython or OpenAI.GraderScoreModel or OpenAI.GraderMulti or GraderEndpoint | The grader used for the fine-tuning job. | No |
ResponseFormatJSONSchemaRequest
| Name | Type | Description | Required | Default |
|---|---|---|---|---|
| json_schema | object | JSON Schema for the response format | Yes | |
| type | enum | Type of response format Possible values: json_schema |
Yes |